Bug 668001 - (nepomukcontroller) Review Request: nepomukcontroller - Applet to control the Nepomuk file indexer
Review Request: nepomukcontroller - Applet to control the Nepomuk file indexer
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-07 11:13 EST by Jaroslav Reznik
Modified: 2011-12-08 13:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-18 09:48:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rdieter: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Reznik 2011-01-07 11:13:25 EST
Spec URL: http://rezza.hofyland.cz/fedora/packages/nepomukcontroller/nepomukcontroller.spec
SRPM URL: http://rezza.hofyland.cz/fedora/packages/nepomukcontroller/nepomukcontroller-0.2-1.fc14.src.rpm
Description: Nepomukcontroller is a small systray applet that allows you to 
suspend and resume the Nepomuk file indexer.
Comment 1 Jaroslav Reznik 2011-01-07 11:17:26 EST
This package is temporary solution as nepomukcontroller is going back to the kdebase-workspace package when 4.7 is released. The question is - do we want standalone package or incorporate it to kdebase-workspace package? Please, comment.
Comment 2 Jaroslav Reznik 2011-01-07 11:20:24 EST
rpmlint nepomukcontroller-0.2-1.fc15.x86_64.rpm 
nepomukcontroller.x86_64: W: spelling-error %description -l en_US systray -> syst ray, syst-ray, systaltic
nepomukcontroller.x86_64: W: no-documentation
nepomukcontroller.x86_64: W: no-manual-page-for-binary nepomukcontroller
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint nepomukcontroller-0.2-1.fc14.src.rpm 
nepomukcontroller.src: W: spelling-error %description -l en_US systray -> syst ray, syst-ray, systaltic
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2707207
Comment 3 Rex Dieter 2011-01-14 10:28:50 EST
naming: ok

macros: ok

sources: ok
7573bc8096f2c211342b745022a7ccdc  137088-nepomukcontroller-0.2.tar.bz2

scratch build: ok

rpmlint: ok

licensing: not ok.  It appears systray.h and systray.cpp are LGPLv2 only

I won't consider the small licensing thing a review-blocker, but please do address it prior to doing any builds.


otherwise, fairly small and simple,
APPROVED.
Comment 4 Jaroslav Reznik 2011-01-14 10:36:49 EST
New Package SCM Request
=======================
Package Name: nepomukcontroller
Short Description: Applet to control the Nepomuk file indexer
Owners: jreznik rdieter than ltinkl thomasj kkofler
Branches: 
InitialCC:
Comment 5 Jason Tibbitts 2011-01-14 12:18:29 EST
Git done (by process-git-requests).
Comment 6 Jaroslav Reznik 2011-01-18 07:25:29 EST
Package Change Request
======================
Package Name: nepomukcontroller
New Branches: F14
Owners: jreznik rdieter than ltinkl thomasj kkofler

Fedpkg does not work with master branch only, so askin for F-14 one too. Please check https://bugzilla.redhat.com/show_bug.cgi?id=619979
Comment 7 Jason Tibbitts 2011-01-18 08:59:08 EST
Git done (by process-git-requests).
Comment 8 Jaroslav Reznik 2011-01-18 09:48:45 EST
Thanks,
build done for Rawhide - http://koji.fedoraproject.org/koji/taskinfo?taskID=2728667 - closing now.

Note You need to log in before you can comment on or make changes to this bug.